array_diff
array_fill
Array Funktionen
PHP Manual

# array_fill_keys

(PHP 5 >= 5.2.0)

array_fill_keys — Fill an array with values, specifying keys

### Beschreibung

array array_fill_keys ( array `$keys` , mixed `$value` )

Fills an array with the value of the `value` parameter, using the values of the `keys` array as keys.

### Parameter-Liste

`keys`

  Array of values that will be used as keys. Illegal values for key will be converted to string.

`value`

  Value to use for filling

### Rückgabewerte

Returns the filled array

### Beispiele

Beispiel #1 array_fill_keys() example

`<?php
$keys = array('foo', 5, 10, 'bar');
$a = array_fill_keys($keys, 'banana');
print_r($a);
?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    Array
    (
        [foo] => banana
        [5] => banana
        [10] => banana
        [bar] => banana
    )

### Siehe auch

- array_fill()
- array_combine()

array_diff
array_fill
Array Funktionen
PHP Manual